<?php
/**
 * @package Virtualmoney
 * @copyright Copyright (c)2013 JoomPROD
 * @license GNU General Public License version 3, or later
 */

// Protect from unauthorized access
defined('_JEXEC') or die();

class VirtualmoneyHelperCparams
{
    /**
     * 
     * @staticvar null $params
     * @param type $key
     * @param type $default
     * @return type
     */
	public static function getParam($key, $default = null)
	{
		static $params = null;
		
		if(!is_object($params)) {
			if( version_compare( JVERSION, '1.6.0', 'ge' ) ) {
                jimport('joomla.application.component.helper');
                $params = JComponentHelper::getParams('com_virtualmoney');
            }else{
                $component = JComponentHelper::getComponent('com_virtualmoney');
                $params = $component->params;
                if(!($params instanceof JRegistry)) {
                    $params = new JParameter($params);
                }
            }
		}
		
		return $params->get($key, $default);
	}
    /**
     * $value to put in $field which is in fields in config.xml
     * 
     * @param type $value
     * @param type $field
     */
	public static function setParam($value,$field) {
		$db =JFactory::getDBO();
		
		if( version_compare( JVERSION, '1.6.0', 'ge' ) ) {
			$db->setQuery("SELECT extension_id,params FROM #__extensions WHERE name='virtualmoney'");
			$extension = $db->loadObject();
		} else {
			$db->setQuery("SELECT id,params FROM #__components WHERE name='COM_VIRTUALMONEY'");
			$extension = $db->loadObject();
			$extension->extension_id = $extension->id;
			$extension->params = '{'.$extension->params.'}';
		}
		
		$params = json_decode($extension->params);
		if ($params == null) {
			$params = new stdClass();
		}
		
		if ($field) {
			if( version_compare( JVERSION, '1.6.0', 'ge' ) ) {
				$params->$field = $value;
				$newconfig = new stdClass();
				$newconfig->extension_id = $extension->extension_id;
				$newconfig->params =  json_encode($params);
				$db->updateObject('#__extensions', $newconfig,'extension_id');
			} else {
				$params->$field = $value;
				$newconfig = new stdClass();
				$newconfig->id = $extension->id;
				$formatParams = (array)$params;
                $paramsString = '';
                foreach($formatParams as $key=>$value){
                    $paramsString = $key.'='.$value."\n";
                }
				$newconfig->params =  $paramsString;
				$db->updateObject('#__components', $newconfig,'id');
			}
		}
		
	}
}