<?php
/**
 *  @package Virtualmoney
 *  @copyright Copyright (c)2013 JoomPROD
 *  @license GNU General Public License version 3, or later
 */

defined('_JEXEC') or die();

JHtml::_('behavior.tooltip');
if(version_compare(JVERSION, '3.0', 'ge')) {
	JHTML::_('behavior.framework');
} else {
	JHTML::_('behavior.mootools');
}

$hasAjaxOrderingSupport = $this->hasAjaxOrderingSupport();
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<input type="hidden" name="option" value="com_virtualmoney" />
<input type="hidden" name="view" value="emails" />
<input type="hidden" id="task" name="task" value="browse" />
<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
<?php echo JHTML::_( 'form.token' ); ?>

<table class="adminlist table table-striped" id="itemsList">
	<thead>
		<tr>
			<th>
				<?php echo JHTML::_('grid.sort', 'Num', 'virtualmoney_email_id', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th></th>
			<th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_EMAIL_SUBJECT', 'subject', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_EMAIL_CONTENT', 'content', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>
            <th>
				<?php echo JHTML::_('grid.sort', 'COM_VIRTUALMONEY_EMAIL_DESCRIPTION', 'description', $this->lists->order_Dir, $this->lists->order, 'browse') ?>
			</th>    
			<th width="8%">
			<?php echo JText::_('JENABLED');?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="20">
				<?php if($this->pagination->total > 0) echo $this->pagination->getListFooter() ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
		<?php if($count = count($this->items)): ?>
		<?php $i = -1; $m = 0; ?>
		<?php foreach ($this->items as $email) : ?>
		<?php
			$i++; $m = 1-$m;
			$checkedOut = false;
			$ordering = $this->lists->order == 'ordering';
			$email->published = $email->enabled;
		?>
		<tr class="<?php echo  'row'.$m; ?>">
			<td align="center">
				<?php echo $email->virtualmoney_email_id; ?>
			</td>
			<td align="center">
				<?php echo JHTML::_('grid.id', $i, $email->virtualmoney_email_id, $checkedOut); ?>
			</td>
			<td align="center">
                <?php echo  JText::_($this->escape($email->subject)) ?>
			</td>
            <td align="center">
				<?php echo $this->escape($email->content) ?>
			</td>
			<td align="center">
				<?php echo $this->escape($email->description) ?>
			</td>
            <td align="center">
				<?php echo JHTML::_('grid.published', $email, $i); ?>
			</td>
		</tr>
		<?php endforeach; ?>	
		<?php else: ?>
		<tr>
			<td colspan="20">
				<?php echo  JText::_('COM_VIRTUALMONEY_COMMON_NORECORDS') ?>
			</td>
		</tr>
		<?php endif; ?>
	</tbody>
</table>

</form>